<nz-page-header>
  <nz-page-header-title>
    <nz-breadcrumb>
      <nz-breadcrumb-item><a routerLink="/">{{ "Common.Homepage" | translate }}</a></nz-breadcrumb-item>
      <nz-breadcrumb-item>
        <a [routerLink]="['/country', country?.id]">{{ country?.name }}</a>
      </nz-breadcrumb-item>
      <nz-breadcrumb-item>{{ "Economy.Construction.PropertiesMarket" | translate }}</nz-breadcrumb-item>
    </nz-breadcrumb>
  </nz-page-header-title>
</nz-page-header>

<nz-spin nzTip="Loading..." [nzSpinning]="isLoading">
  <div nz-row nzJustify="space-around" style="text-align: center">
    <div nz-col nzXs="23" nzSm="23" nzMd="8">
      <nz-select style="width: 100%" nzShowSearch nzAllowClear nzPlaceHolder="{{ 'Economy.Construction.selectConstruction' | translate }}" nzSize="large"
        [(ngModel)]="selectedConstruction" (ngModelChange)="loadProperties()"
        [nzCustomTemplate]="selectedConstructionTemplate">
        <nz-option *ngFor="let type of types" [nzLabel]="type.symbol" [nzValue]="type.id" nzCustomContent>
          <img [src]="type.value" width="25" height="25" />
          {{ 'Economy.' + type.symbol | translate }}
        </nz-option>
      </nz-select>
      <ng-template #selectedConstructionTemplate let-selected>
        <img src="{{ getCurrentSelectedConstruction().value }}" width="20" height="20" />
        {{ 'Economy.' + getCurrentSelectedConstruction().symbol | translate }}
      </ng-template>
    </div>
  </div>

  <div style="text-align: center; margin: 20px">
    <nz-alert nzType="info" *ngIf="offers && offers.length === 0" nzMessage="{{ 'Economy.Market.noOffersCurrencies' | translate }}">
    </nz-alert>

    <div nz-row nzGutter="8">
      <div nz-col *ngFor="let item of offers" nzXs="24" nzSm="24" nzMd="12" nzLg="12" nzXl="12" nzXXl="8"
        style="margin-bottom: 5px">
        <nz-card [nzTitle]="offerTitle" [nzExtra]="offerExtra" nzSize="small">
          <ng-template #offerTitle>
            <nz-avatar [nzShape]="'square'" [nzSrc]="item?.owner?.avatar" [nzSize]="25" [nzIcon]="'user'"
              style="margin-right: 5px">
            </nz-avatar>
            <a href="/citizen/{{ item?.owner?.id }}">{{ item.owner.name }}</a>
          </ng-template>
          <ng-template #offerExtra>
            <div #ownerButtons *ngIf="item?.owner?.id != citizenId; else notOwnerButtons">
              <a nz-popconfirm nzPopconfirmTitle="{{ 'Economy.Market.rysDeleteOffer' | translate }}" nzPopconfirmPlacement="bottom"
                (nzOnConfirm)="deleteOffer(item?.id)">
                <i class="fas fa-trash-alt"></i>
              </a>
            </div>
            <ng-template #notOwnerButtons>
              <a nz-popconfirm nzPopconfirmTitle="{{ 'Economy.Market.rysBuyProperty' | translate }}" nzPopconfirmPlacement="bottom"
                (nzOnConfirm)="acceptOffer(item?.id)" [nzIcon]="confirmIcon">
                <i class="fas fa-shopping-basket"></i>
              </a>
              <ng-template #confirmIcon>
                <i class="fas fa-shopping-basket"></i>
              </ng-template>
            </ng-template>
          </ng-template>
          <div nz-row>
            <div nz-col nzSpan="12" style="text-align: center">
              <img src="{{ item?.construction?.avatar }}" alt="{{ item.construction?.name }}" width="60" height="60" />
            </div>
            <div nz-col nzSpan="12">
              <div>{{ "Economy.Market.Price" | translate }}: {{ item.price }} {{ item.priceCurrency.name }}</div>
              <div>
                {{ "Common.Quality" | translate }}:
                <span style="color: gold" innerHtml="{{ item?.quality | q }}"></span>
              </div>
              <div>
                {{ "Common.Region" | translate }}:
                <a [routerLink]="['/region', item.region.id]">
                  {{ item.region.name }}
                </a>
              </div>
            </div>
          </div>
        </nz-card>
      </div>
    </div>
  </div>
</nz-spin>
